CEL: Crystal Entity Layer: celStandardPersistentDataList Class Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celStandardPersistentDataList Class Reference

Standard implementation of iCelPersistentDataList. More...

`#include <celtool/persisthelper.h>`

Inheritance diagram for celStandardPersistentDataList:

[legend]
List of all members.

## Public Member Functions
virtual void | AddPersistentData (csRef< iCelDataBuffer > &databuf, csString &pc_name, csString &pc_tag)
| To add a new persistent data buffer.
virtual size_t | GetCount () const
| Return the number of entries in this list.
virtual bool | GetPersistentData (size_t idx, csRef< iCelDataBuffer > &databuf, csString &pc_name, csString &pc_tag) const
| To get the persistent data at the specified position.
## Public Attributes
| SCF_DECLARE_IBASE

## Detailed Description

Standard implementation of iCelPersistentDataList.

Definition at line 85 of file persisthelper.h.

## Member Function Documentation

virtual void celStandardPersistentDataList::AddPersistentData | ( | csRef< iCelDataBuffer > & | databuf,
|  | csString & | pc_name,
|  | csString & | pc_tag
| ) | `[virtual]`

  | To add a new persistent data buffer. Parameters:
  | idx | The index of the entry.
  | databuf | The persistent data.
  | pc_name | The name of the property class associated to the persistent data.
  | pc_tag | The tag of the property class associated to the persistent data.
Implements iCelPersistentDataList.

virtual size_t celStandardPersistentDataList::GetCount | ( |  | ) | const`[inline, virtual]`

| Return the number of entries in this list. Implements iCelPersistentDataList. Definition at line 103 of file persisthelper.h.

virtual bool celStandardPersistentDataList::GetPersistentData | ( | size_t | idx,
|  | csRef< iCelDataBuffer > & | databuf,
|  | csString & | pc_name,
|  | csString & | pc_tag
| ) | const`[virtual]`

  | To get the persistent data at the specified position. Parameters:
  | idx | The index of the entry.
  | databuf | The persistent data.
  | pc_name | The name of the property class associated to the persistent data.
  | pc_tag | The tag of the property class associated to the persistent data.
Implements iCelPersistentDataList.

The documentation for this class was generated from the following file:

- celtool/persisthelper.h